Bug 483513 - Wrong suggestion when smb.conf is labeled with certain types
Wrong suggestion when smb.conf is labeled with certain types
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 20:41 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 11:18:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full denial viewed with sealert (2.32 KB, text/plain)
2009-02-01 20:44 EST, Murray McAllister
no flags Details

  None (edit)
Description Murray McAllister 2009-02-01 20:41:39 EST
Description of problem:

When /etc/samba/smb.conf is labeled with a type that the smbd_t domain does not have access to, sealert suggests labeling /etc/samba/smb.conf with the public_content_t type.


Version-Release number of selected component (if applicable):

selinux-policy-3.5.13-40.fc10.noarch
selinux-policy-targeted-3.5.13-40.fc10.noarch

How reproducible:

Always.

Steps to Reproduce:

1. Label /etc/samba/smb.conf with a type that the smbd_t domain does not have access to:
chcon -t httpd_sys_content_t /etc/samba/smb.conf
2. service smb start
3. check /var/log/messages or setroubleshoot browser.
  
Actual results:

Fix Command:

chcon -t public_content_t './smb.conf'

Expected results:

Fix Command:

chcon -t samba_etc_t /etc/samba/smb.conf

If there is a chance this type will change in future, perhaps the following is a better fix command:

restorecon -R -v /etc/samba/
Comment 1 Murray McAllister 2009-02-01 20:44:05 EST
Created attachment 330571 [details]
full denial viewed with sealert
Comment 2 Daniel Walsh 2009-04-13 11:18:33 EDT
Fixed in setroubleshoot-plugins- 2.0.16-1

Note You need to log in before you can comment on or make changes to this bug.